org.apache.hc.client5.http.impl.sync

## Class ContentCompressionExec

- java.lang.Object
- - org.apache.hc.client5.http.impl.sync.ContentCompressionExec

All Implemented Interfaces:
  ExecChainHandler

    @Contract(threading=IMMUTABLE)
    public final class ContentCompressionExec
    extends Object
    implements ExecChainHandler

Request executor in the request execution chain that is responsible for automatic response content decompression.

Further responsibilities such as communication with the opposite endpoint is delegated to the next executor in the request execution chain.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`ContentCompressionExec()` Handles `gzip` and `deflate` compressed entities by using the following decoders: gzip - see `GZIPInputStream` deflate - see `DeflateInputStream`
`ContentCompressionExec(boolean ignoreUnknown)`
`ContentCompressionExec(List<String> acceptEncoding, org.apache.hc.core5.http.config.Lookup<InputStreamFactory> decoderRegistry, boolean ignoreUnknown)`

### Method Summary

Methods
`org.apache.hc.core5.http.ClassicHttpResponse` `execute(org.apache.hc.core5.http.ClassicHttpRequest request, ExecChain.Scope scope, ExecChain chain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentCompressionExec

    public ContentCompressionExec(List<String> acceptEncoding,
                          org.apache.hc.core5.http.config.Lookup<InputStreamFactory> decoderRegistry,
                          boolean ignoreUnknown)

#### ContentCompressionExec

    public ContentCompressionExec(boolean ignoreUnknown)

#### ContentCompressionExec

    public ContentCompressionExec()

Handles `gzip` and `deflate` compressed entities by using the following decoders:

- gzip - see `GZIPInputStream`
- deflate - see `DeflateInputStream`

### Method Detail

#### execute

    public org.apache.hc.core5.http.ClassicHttpResponse execute(org.apache.hc.core5.http.ClassicHttpRequest request,
                                                       ExecChain.Scope scope,
                                                       ExecChain chain)
                                                         throws IOException,
                                                                org.apache.hc.core5.http.HttpException

Specified by:
  `execute` in interface `ExecChainHandler`
Throws:
  `IOException`
  `org.apache.hc.core5.http.HttpException`